### Hierarchy

- HistoryLike

## Index

### Methods

- back
- forward
- pushState
- replaceState

## Methods

- back(distance?: any): void

- #### Parameters

  - ##### distance: Optional any

  #### Returns void

  - Defined in vanilla/interface.ts:27

- forward(distance?: any): void

- #### Parameters

  - ##### distance: Optional any

  #### Returns void

  - Defined in vanilla/interface.ts:28

- pushState(statedata: any, title?: string, url?: string): void

- #### Parameters

  - ##### statedata any

  - ##### title: Optional string

  - ##### url: Optional string

  #### Returns void

  - Defined in vanilla/interface.ts:29

- replaceState(statedata: any, title?: string, url?: string): void

- #### Parameters

  - ##### statedata any

  - ##### title: Optional string

  - ##### url: Optional string

  #### Returns void

  - Defined in vanilla/interface.ts:30

Generated using TypeDoc